Fixed deprecated opts variable (bug #382227) and removed --stop option from reload...
authorLars Wendler <polynomial-c@gentoo.org>
Wed, 14 Sep 2011 21:46:19 +0000 (21:46 +0000)
committerLars Wendler <polynomial-c@gentoo.org>
Wed, 14 Sep 2011 21:46:19 +0000 (21:46 +0000)
Package-Manager: portage-2.2.0_alpha56/cvs/Linux x86_64

net-misc/openssh/ChangeLog
net-misc/openssh/Manifest
net-misc/openssh/files/sshd.rc6.3
net-misc/openssh/openssh-5.8_p2-r1.ebuild [new file with mode: 0644]
net-misc/openssh/openssh-5.9_p1-r2.ebuild [moved from net-misc/openssh/openssh-5.9_p1-r1.ebuild with 99% similarity]

index 847e6ac430d1843b54d648d254a30e0f19cb8af3..f6ebeda76f70d2b7f2158e0d28f910d9901df8ca 100644 (file)
@@ -1,6 +1,16 @@
 # ChangeLog for net-misc/openssh
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/openssh/ChangeLog,v 1.424 2011/09/12 05:38:10 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-misc/openssh/ChangeLog,v 1.425 2011/09/14 21:46:19 polynomial-c Exp $
+
+*openssh-5.9_p1-r2 (14 Sep 2011)
+*openssh-5.8_p2-r1 (14 Sep 2011)
+
+  14 Sep 2011; Lars Wendler <polynomial-c@gentoo.org>
+  +openssh-5.8_p2-r1.ebuild, -openssh-5.9_p1-r1.ebuild,
+  +openssh-5.9_p1-r2.ebuild, files/sshd.rc6.3:
+  non-maintainer commit: Replaced deprecated opts variable (bug #382227) and
+  removed --stop option from reload function (bug #382975). Bot changes and
+  revbumps were done with kind permission from vapier.
 
   12 Sep 2011; Mike Frysinger <vapier@gentoo.org> openssh-5.9_p1-r1.ebuild:
   Simplify test homedir logic a bit, and fix quoting.
index 0d298b8cfb1502751b10421bca2075ab43b7a4fb..04c8240c837402851f4aa38a32ef8292704d0850 100644 (file)
@@ -1,5 +1,5 @@
 -----BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA256
+Hash: SHA512
 
 AUX openssh-4.7_p1-GSSAPI-dns.patch 4494 RMD160 4e02e0a85c0e33c917ec8c22b4e1c173a9d7d79e SHA1 d8a81eb92a49763106cfa5b319c22c6f188508ef SHA256 88a08f349258d4be5b2faa838a89fe1aa0196502990b745ac0e3a70dda30a0d7
 AUX openssh-5.2_p1-autoconf.patch 386 RMD160 8e57ae97df0b2483f826a7aba00bc0622b9a28f8 SHA1 22c4e40f54f97f866b460fe8987eb16363410caf SHA256 42bb5f23f02241186abd6158ac15cd1fba0fadb4bd79e6b051fbd05605419ebb
@@ -19,7 +19,7 @@ AUX sshd.pam_include.2 156 RMD160 c4f6ba6e3a705eef63e571189e28de71e7d61178 SHA1
 AUX sshd.rc6 2159 RMD160 961c7222fe809d81dc04c1f62e14c8292c0e3452 SHA1 d9853a50ff89d4359cc813a0f5ec936659941646 SHA256 83b94fed859ab3a00861969f97c166bd3b2fdd217f26468153e17005dfd55828
 AUX sshd.rc6.1 2244 RMD160 112f62244a4654d706fa3892da514df8130dabf3 SHA1 4a561034f7376bf10dc4601f2b847f247b83bf53 SHA256 09b7f29890fd0c28e364637236518c7ee4fea018af94dd72b8682a548678cd73
 AUX sshd.rc6.2 2040 RMD160 e9091c05a3b6393f3614746404a0e922ffef3b29 SHA1 e130639256fe8ff59f70f94cce495add0fba100f SHA256 d29519fee9cf634b676f214df663304c172374bf10fa94d6fce4220a3456a053
-AUX sshd.rc6.3 2031 RMD160 bb93eabfe7c1b48189536a6674ffef78a07d7cd6 SHA1 9b5551b2a1ff599f2d4c096c2b15767b942449d9 SHA256 35916fa3b3a492baf7dd1ae6244a4dc6c6bc1869c47f3da22b924500280c89b3
+AUX sshd.rc6.3 2057 RMD160 800875a8e8c61d8453033c7b069d0b0268f8a8fd SHA1 15d6d486749fade1e8bfb219f3226fb119f8b6e2 SHA256 43d95b495440ed6b3c1eb82b81712d7f6e58246527605c11d733cb5eb5523254
 DIST openssh-5.4p1-hpn13v7-x509variant.diff.gz 22941 RMD160 383b3883984ee0e6068363fdd645d2dd24c7964c SHA1 d3f04c938ab6e5e10587d0ffb717af37360a8dd6 SHA256 c2b1a81c6952ae73cc4dfd1528d560588c45cf1242ea8b0e6eadb0cc83b50377
 DIST openssh-5.5p1+x509-6.2.3.diff.gz 156737 RMD160 cf6d9e5f51512b3e22a3561ff7e1c6daad80d016 SHA1 5f163b03b3086605d9759b76565e6f3a5fa8cb85 SHA256 a2fdf904c21036fe6ee89da7572a37f4763ef414348f9a953c7c7e0fb3562a7f
 DIST openssh-5.5p1-hpn13v9.diff.gz 22657 RMD160 bb9d44589018030fa3102898f85f4dfd7032d2f0 SHA1 8601fabf0067ff9c59501dc0006ad3853dbb3de0 SHA256 0556ad75cbd29cba71263a5b7ddc44c03d17c09297a6c41a16d39d3549e5079c
@@ -47,15 +47,26 @@ EBUILD openssh-5.5_p1-r2.ebuild 8636 RMD160 c831d49ee6e99a48f0733b6873b34c8e3f8f
 EBUILD openssh-5.6_p1-r2.ebuild 8382 RMD160 f211edf9dca59ceeb04a4b8ed6e65a6fa35a4f8e SHA1 1c4922a31b4f32c9a4aa9a978e28be60d74f9fe8 SHA256 912608c31af21266ddbb2d15d1a0b0c5191c34e0bfae18cc404bad8afd6fb8bb
 EBUILD openssh-5.7_p1-r1.ebuild 8231 RMD160 62b3bb8b59ad675f8e15ee6f3045806eda352258 SHA1 0fc459848cb5bde826647e095666a43598717b57 SHA256 9c5e767344eb2ae35e567dbf870b6adb1e44cc112fe9b89c8f1c5dccf565658f
 EBUILD openssh-5.8_p1-r1.ebuild 8446 RMD160 e674ea00d8be3d9297c2aa5f98f0d4d8e37a360c SHA1 3bafcd521dfc16fc9d6c39e74b4bccf1bef7088d SHA256 4b385808bcf59c3be6ab92c9cea1638c61db7b4c9089f7804f606b08c0fa3aa3
+EBUILD openssh-5.8_p2-r1.ebuild 8488 RMD160 669d83912882ece14fdd86617f36623d6da5e35d SHA1 09ef1958e3c8a10ee00b74f6d400f1772ae2bbaf SHA256 32ab24404531c42b8f3116c7a8094374203755b44d151ffa3c75825df57aa42d
 EBUILD openssh-5.8_p2.ebuild 8480 RMD160 8d931edee1e597fdeb2f3dedc2e13fd81c96b3a2 SHA1 c50d89503ea7b2b6e8c07150f67895950ce39d43 SHA256 244927dfba721ef5f0cf036619e62744a7895879e607834bb601bc5488c2c12e
-EBUILD openssh-5.9_p1-r1.ebuild 8715 RMD160 0fa28767c80f09924dfdb0cf51cf129beca87a5b SHA1 5b1e757a160c78e298e8214845b21fcf2b6291ec SHA256 d72b240450c963eeff723c7b5ee1f78762f45fdffa1559c04466aae1e960d294
+EBUILD openssh-5.9_p1-r2.ebuild 8721 RMD160 a0fdca33544ee3a500734775a4e4c98c52326985 SHA1 02332554fc6c8a11bdb8053880d5da7523700cd2 SHA256 d85b9421319faa7946e58fb3753efa4eb24a68dca6427020cf0f61afaa4749b7
 EBUILD openssh-5.9_p1.ebuild 8580 RMD160 f6f6a438f23865f9c1250cc6a1ca15de4820e998 SHA1 4b6a8fd4b51ae9c9750625e44bc8031b43a6ec4b SHA256 20e17ea538144a1908299a55a1cfeb32c7c08b5c575fed9ac82aeacd772d158d
-MISC ChangeLog 66815 RMD160 8430b31352048bcf70f7aa85a279e28bd2a3a50d SHA1 d467d0df71b826b3077f8d4c32ace64995b79459 SHA256 05f52c333378c51e0251f8877825de2f580c5f2187050f14737b0d3ea216297e
+MISC ChangeLog 67254 RMD160 15039f21d212a66dfc23a1f2bd3ccf84c0c6c943 SHA1 d229da665b4373b365faef4dc069f432ecf7b203 SHA256 da041658e4fe1f2e3b0e599d1a8a1df84acf5a7eff916c7fb77bf637054bb10f
 MISC metadata.xml 1599 RMD160 31fdd1531a4111aa437882680029451b29ddf4aa SHA1 af53a6887ebf563150184ab40b4cc018ab4e4d3f SHA256 fddc51b98b6831f5bc0f1f5fdeb78c064f9c40fc5c9a9f31ec816890e6aade86
 -----BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.17 (GNU/Linux)
+Version: GnuPG v2.0.18 (GNU/Linux)
 
-iF4EAREIAAYFAk5tmsgACgkQaC/OocHi7JYqfAD/WbyLc4DYPYpp3bOJW/QeMyVe
-jvmTALaNsiD38W+8nxYBAJFm9KKTTExnlk+xui4nH0WDtaIOSR+Jbz+1lBSVf5QS
-=5XOr
+iQIcBAEBCgAGBQJOcSCwAAoJEPiazRVxLXTFXYYP/jLP7wQnAxbAC2kwY9F3z4RX
+66cMXwLfLbn5IOCpC4g+/Qn+pe3Ctqm938zzyxzda5VqGK9rWIVjGW7be+c2wYED
+ZGe7iPwT4drAYLEcAEQWcEMAnL3q6RB7FQ3D+1u+DKNkZmjum8MIGA62I68bBS5T
+Ks5C99prOHXNAoi4Q1k4aFHNotucUWzG0rypd5dMdR/bCl5d2x9hCuVNmJMV+wQ2
+BahSgLhFp+xtuGcbuQdIEjfeStNxbZMjJE79FN7Bfr6pRAhsxt8LD0/46Z6+YT61
+I3HQmNks1qNG2CBBI25GwwfChyVG4YloXvhkeXeurqLlwYZoGd9cGBdTWgG+Mub7
+Q+uwY1G+d2bC/C+U7Qhr4UXj5L9D863vOASCq5IbPULMQ9R5QjWO/kL0NE3tvoAF
+hEpSqPPZa9ulZ0XwUMFWtuJS9R19S2/iJjPIcE/JW0l27jyzyQgjT+ES+OrONGvm
+LW9YXXs7+iJPcc3DlsZYE6cGGDFl2XdVAQlIGIXT8AGCto2PjH7XA4gSuwvK5wsu
+xS1neAMZVFD6nk5nU3AX8iBqaLVd0vrKtzOhIu+4mAUGfzkDDE/wxYxzcr9gzGM2
+nW3CbMMQKvolnuDiYy4hugjNYbgZQdTFHqPy3vuhwRA9hy4tfafzJUsOh0+U3Qcx
+qmCa4T7AcmOpW8ImkKbO
+=fqHl
 -----END PGP SIGNATURE-----
index 8c12dea5a09ee5ec3a2e57f854dc5f8b81f25d36..c55116e966e14fcd3a520024f3c5c92e9c0f74f8 100755 (executable)
@@ -1,9 +1,10 @@
 #!/sbin/runscript
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/openssh/files/sshd.rc6.3,v 1.1 2011/09/07 01:38:46 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-misc/openssh/files/sshd.rc6.3,v 1.2 2011/09/14 21:46:19 polynomial-c Exp $
 
-opts="${opts} reload checkconfig gen_keys"
+extra_commands="checkconfig gen_keys"
+extra_started_commands="reload"
 
 depend() {
        use logger dns
@@ -78,7 +79,7 @@ stop() {
 reload() {
        checkconfig || return 1
        ebegin "Reloading ${SVCNAME}"
-       start-stop-daemon --stop --signal HUP \
+       start-stop-daemon --signal HUP \
            --exec "${SSHD_BINARY}" --pidfile "${SSHD_PIDFILE}"
        eend $?
 }
diff --git a/net-misc/openssh/openssh-5.8_p2-r1.ebuild b/net-misc/openssh/openssh-5.8_p2-r1.ebuild
new file mode 100644 (file)
index 0000000..086091d
--- /dev/null
@@ -0,0 +1,257 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/openssh/openssh-5.8_p2-r1.ebuild,v 1.1 2011/09/14 21:46:19 polynomial-c Exp $
+
+EAPI="2"
+inherit eutils flag-o-matic multilib autotools pam
+
+# Make it more portable between straight releases
+# and _p? releases.
+PARCH=${P/_/}
+
+HPN_PATCH="${PARCH/p2/p1}-hpn13v11.diff.gz"
+LDAP_PATCH="${PARCH/-/-lpk-}-0.3.14.patch.gz"
+X509_VER="6.2.4" X509_PATCH="${PARCH/p2/p1}+x509-${X509_VER}.diff.gz"
+
+DESCRIPTION="Port of OpenBSD's free SSH release"
+HOMEPAGE="http://www.openssh.org/"
+SRC_URI="mirror://openbsd/OpenSSH/portable/${PARCH}.tar.gz
+       ${HPN_PATCH:+hpn? ( http://www.psc.edu/networking/projects/hpn-ssh/${HPN_PATCH} mirror://gentoo/${HPN_PATCH} )}
+       ${LDAP_PATCH:+ldap? ( mirror://gentoo/${LDAP_PATCH} )}
+       ${X509_PATCH:+X509? ( http://roumenpetrov.info/openssh/x509-${X509_VER}/${X509_PATCH} )}
+       "
+
+LICENSE="as-is"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
+IUSE="${HPN_PATCH:++}hpn kerberos ldap libedit pam selinux skey static tcpd X X509"
+
+RDEPEND="pam? ( virtual/pam )
+       kerberos? ( virtual/krb5 )
+       selinux? ( >=sys-libs/libselinux-1.28 )
+       skey? ( >=sys-auth/skey-1.1.5-r1 )
+       ldap? ( net-nds/openldap )
+       libedit? ( dev-libs/libedit )
+       >=dev-libs/openssl-0.9.6d
+       >=sys-libs/zlib-1.2.3
+       tcpd? ( >=sys-apps/tcp-wrappers-7.6 )
+       X? ( x11-apps/xauth )
+       userland_GNU? ( sys-apps/shadow )"
+DEPEND="${RDEPEND}
+       dev-util/pkgconfig
+       virtual/os-headers
+       sys-devel/autoconf"
+RDEPEND="${RDEPEND}
+       pam? ( >=sys-auth/pambase-20081028 )"
+
+S=${WORKDIR}/${PARCH}
+
+pkg_setup() {
+       # this sucks, but i'd rather have people unable to `emerge -u openssh`
+       # than not be able to log in to their server any more
+       maybe_fail() { [[ -z ${!2} ]] && echo ${1} ; }
+       local fail="
+               $(use X509 && maybe_fail X509 X509_PATCH)
+               $(use ldap && maybe_fail ldap LDAP_PATCH)
+               $(use hpn && maybe_fail hpn HPN_PATCH)
+       "
+       fail=$(echo ${fail})
+       if [[ -n ${fail} ]] ; then
+               eerror "Sorry, but this version does not yet support features"
+               eerror "that you requested:      ${fail}"
+               eerror "Please mask ${PF} for now and check back later:"
+               eerror " # echo '=${CATEGORY}/${PF}' >> /etc/portage/package.mask"
+               die "booooo"
+       fi
+}
+
+src_prepare() {
+       sed -i \
+               -e '/_PATH_XAUTH/s:/usr/X11R6/bin/xauth:/usr/bin/xauth:' \
+               pathnames.h || die
+       # keep this as we need it to avoid the conflict between LPK and HPN changing
+       # this file.
+       cp version.h version.h.pristine
+
+       if use X509 ; then
+               epatch "${WORKDIR}"/${X509_PATCH%.*}
+               epatch "${FILESDIR}"/${PN}-5.8_p1-x509-hpn-glue.patch
+       fi
+       if ! use X509 ; then
+               if [[ -n ${LDAP_PATCH} ]] && use ldap ; then
+                       epatch "${WORKDIR}"/${LDAP_PATCH%.*}
+                       #epatch "${FILESDIR}"/${PN}-5.2p1-ldap-stdargs.diff #266654 - merged
+                       # version.h patch conflict avoidence
+                       mv version.h version.h.lpk
+                       cp -f version.h.pristine version.h
+               fi
+       else
+               use ldap && ewarn "Sorry, X509 and LDAP conflict internally, disabling LDAP"
+       fi
+       epatch "${FILESDIR}"/${PN}-4.7_p1-GSSAPI-dns.patch #165444 integrated into gsskex
+       if [[ -n ${HPN_PATCH} ]] && use hpn; then
+               sed -i '/SSH_PORTABLE/s:p1:p2:' "${WORKDIR}"/${HPN_PATCH%.*}
+               epatch "${WORKDIR}"/${HPN_PATCH%.*}
+               epatch "${FILESDIR}"/${PN}-5.6_p1-hpn-progressmeter.patch
+               # version.h patch conflict avoidence
+               mv version.h version.h.hpn
+               cp -f version.h.pristine version.h
+               # The AES-CTR multithreaded variant is broken, and causes random hangs
+               # when combined background threading and control sockets. To avoid
+               # this, we change the internal table to use the non-multithread version
+               # for the meantime. Do NOT remove this in new versions. See bug #354113
+               # comment #6 for testcase.
+               # Upstream reference: http://www.psc.edu/networking/projects/hpn-ssh/
+               ## Additionally, the MT-AES-CTR mode cipher replaces the default ST-AES-CTR mode
+               ## cipher. Be aware that if the client process is forked using the -f command line
+               ## option the process will hang as the parent thread gets 'divorced' from the key
+               ## generation threads. This issue will be resolved as soon as possible
+               sed -i \
+                       -e '/aes...-ctr.*SSH_CIPHER_SSH2/s,evp_aes_ctr_mt,evp_aes_128_ctr,' \
+                       cipher.c || die
+       fi
+
+       sed -i "s:-lcrypto:$(pkg-config --libs openssl):" configure{,.ac} || die
+
+       # Disable PATH reset, trust what portage gives us. bug 254615
+       sed -i -e 's:^PATH=/:#PATH=/:' configure || die
+
+       # Now we can build a sane merged version.h
+       (
+               sed '/^#define SSH_RELEASE/d' version.h.* | sort -u
+               printf '#define SSH_RELEASE SSH_VERSION SSH_PORTABLE %s %s\n' \
+                       "$([ -e version.h.hpn ] && echo SSH_HPN)" \
+                       "$([ -e version.h.lpk ] && echo SSH_LPK)"
+       ) > version.h
+
+       eautoreconf
+}
+
+static_use_with() {
+       local flag=$1
+       if use static && use ${flag} ; then
+               ewarn "Disabling '${flag}' support because of USE='static'"
+               # rebuild args so that we invert the first one (USE flag)
+               # but otherwise leave everything else working so we can
+               # just leverage use_with
+               shift
+               [[ -z $1 ]] && flag="${flag} ${flag}"
+               set -- !${flag} "$@"
+       fi
+       use_with "$@"
+}
+
+src_configure() {
+       addwrite /dev/ptmx
+       addpredict /etc/skey/skeykeys #skey configure code triggers this
+
+       use static && append-ldflags -static
+
+       econf \
+               --with-ldflags="${LDFLAGS}" \
+               --disable-strip \
+               --sysconfdir=/etc/ssh \
+               --libexecdir=/usr/$(get_libdir)/misc \
+               --datadir=/usr/share/openssh \
+               --with-privsep-path=/var/empty \
+               --with-privsep-user=sshd \
+               --with-md5-passwords \
+               --with-ssl-engine \
+               $(static_use_with pam) \
+               $(static_use_with kerberos kerberos5 /usr) \
+               ${LDAP_PATCH:+$(use X509 || ( use ldap && use_with ldap ))} \
+               $(use_with libedit) \
+               $(use_with selinux) \
+               $(use_with skey) \
+               $(use_with tcpd tcp-wrappers)
+}
+
+src_install() {
+       emake install-nokeys DESTDIR="${D}" || die
+       fperms 600 /etc/ssh/sshd_config
+       dobin contrib/ssh-copy-id || die
+       newinitd "${FILESDIR}"/sshd.rc6.3 sshd
+       newconfd "${FILESDIR}"/sshd.confd sshd
+       keepdir /var/empty
+
+       # not all openssl installs support ecc, or are functional #352645
+       if ! grep -q '#define OPENSSL_HAS_ECC 1' config.h ; then
+               dosed 's:&& gen_key ecdsa::' /etc/init.d/sshd || die
+       fi
+
+       newpamd "${FILESDIR}"/sshd.pam_include.2 sshd
+       if use pam ; then
+               sed -i \
+                       -e "/^#UsePAM /s:.*:UsePAM yes:" \
+                       -e "/^#PasswordAuthentication /s:.*:PasswordAuthentication no:" \
+                       -e "/^#PrintMotd /s:.*:PrintMotd no:" \
+                       -e "/^#PrintLastLog /s:.*:PrintLastLog no:" \
+                       "${D}"/etc/ssh/sshd_config || die "sed of configuration file failed"
+       fi
+
+       # This instruction is from the HPN webpage,
+       # Used for the server logging functionality
+       if [[ -n ${HPN_PATCH} ]] && use hpn ; then
+               keepdir /var/empty/dev
+       fi
+
+       doman contrib/ssh-copy-id.1
+       dodoc ChangeLog CREDITS OVERVIEW README* TODO sshd_config
+
+       diropts -m 0700
+       dodir /etc/skel/.ssh
+}
+
+src_test() {
+       local t tests skipped failed passed shell
+       tests="interop-tests compat-tests"
+       skipped=""
+       shell=$(getent passwd ${UID} | cut -d: -f7)
+       if [[ ${shell} == */nologin ]] || [[ ${shell} == */false ]] ; then
+               elog "Running the full OpenSSH testsuite"
+               elog "requires a usable shell for the 'portage'"
+               elog "user, so we will run a subset only."
+               skipped="${skipped} tests"
+       else
+               tests="${tests} tests"
+       fi
+       for t in ${tests} ; do
+               # Some tests read from stdin ...
+               emake -k -j1 ${t} </dev/null \
+                       && passed="${passed}${t} " \
+                       || failed="${failed}${t} "
+       done
+       einfo "Passed tests: ${passed}"
+       ewarn "Skipped tests: ${skipped}"
+       if [[ -n ${failed} ]] ; then
+               ewarn "Failed tests: ${failed}"
+               die "Some tests failed: ${failed}"
+       else
+               einfo "Failed tests: ${failed}"
+               return 0
+       fi
+}
+
+pkg_postinst() {
+       enewgroup sshd 22
+       enewuser sshd 22 -1 /var/empty sshd
+
+       elog "Starting with openssh-5.8p1, the server will default to a newer key"
+       elog "algorithm (ECDSA).  You are encouraged to manually update your stored"
+       elog "keys list as servers update theirs.  See ssh-keyscan(1) for more info."
+       echo
+       ewarn "Remember to merge your config files in /etc/ssh/ and then"
+       ewarn "reload sshd: '/etc/init.d/sshd reload'."
+       if use pam ; then
+               echo
+               ewarn "Please be aware users need a valid shell in /etc/passwd"
+               ewarn "in order to be allowed to login."
+       fi
+       # This instruction is from the HPN webpage,
+       # Used for the server logging functionality
+       if [[ -n ${HPN_PATCH} ]] && use hpn ; then
+               echo
+               einfo "For the HPN server logging patch, you must ensure that"
+               einfo "your syslog application also listens at /var/empty/dev/log."
+       fi
+}
similarity index 99%
rename from net-misc/openssh/openssh-5.9_p1-r1.ebuild
rename to net-misc/openssh/openssh-5.9_p1-r2.ebuild
index a258acfce4bccf48d8ee25cb33b674026d4432a3..d38240b36455bc9837fabf1f63c9ba693610eae7 100644 (file)
@@ -1,6 +1,6 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/openssh/openssh-5.9_p1-r1.ebuild,v 1.2 2011/09/12 05:38:10 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-misc/openssh/openssh-5.9_p1-r2.ebuild,v 1.1 2011/09/14 21:46:19 polynomial-c Exp $
 
 EAPI="2"
 inherit eutils flag-o-matic multilib autotools pam